<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org" xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      layout:decorate="~{layout}">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="/webjars/bootstrap/4.4.1-1/css/bootstrap.css"/>
    <link rel="stylesheet" href="/webjars/fontawesome/4.7.0/css/font-awesome.css">

    <title>Edit Bibliography Entry</title>
</head>
<body>
<div layout:fragment="content">
    <form method="post" action="#" enctype="multipart/form-data" th:object="${entry}" th:action="@{/databases/{database}/entries/update(database=${database.id})}">
        <input type="hidden" th:name="${_csrf.parameterName}" th:value="${_csrf.token}"/>
        <input type="hidden" th:field="*{id}">
        <input type="hidden" th:field="*{type}">

        <div th:switch="${entry.type}">
            <div th:case="${T(de.caterdev.bibliography.model.EntryType).Article}">
                <div th:replace="~{fragmentEditEntry::editArticle}"></div>
            </div>
            <div th:case="${T(de.caterdev.bibliography.model.EntryType).Book}">
                <div th:replace="~{fragmentEditEntry::editBook}"></div>
            </div>
        </div>

        <div th:replace="~{fragmentEditEntry::generalFields}"></div>


        <button>Submit</button>
    </form>
</div>
</body>
</html>